<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [upgradeHomeRam](./bitburner.singularity.upgradehomeram.md)

## Singularity.upgradeHomeRam() method

Upgrade home computer RAM.

**Signature:**

```typescript
upgradeHomeRam(): boolean;
```
**Returns:**

boolean

True if the player’s home computer RAM is successfully upgraded, and false otherwise.

## Remarks

RAM cost: 3 GB \* 16/4/1

This function will upgrade amount of RAM on the player’s home computer. The cost is the same as if you were to do it manually.

This function will return true if the player’s home computer RAM is successfully upgraded, and false otherwise.

